Appearance
Get File Storage
GET/public/storage/fileRetrieve a paginated list of uploaded files in your storage. Supports search by filename.
Endpoint Details
- Authentication: Basic Auth (
Authorization: Basic Base64(AccessKey:SecretKey)) - Access Tier: Addon Storage
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
page | number | Yes | Page number, starting from 1. |
limit | number | Yes | Maximum items per page. |
search | string | No | Search files by filename. |
Example Request
bash
curl -X GET "https://api.repliz.com/public/storage/file?page=1&limit=20&search=hello" \
-H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"javascript
import axios from "axios";
const response = await axios.get("https://api.repliz.com/public/storage/file", {
params: {
page: 1,
limit: 20,
search: "hello",
},
auth: {
username: "YOUR_ACCESS_KEY",
password: "YOUR_SECRET_KEY",
},
});
console.log(response.data);javascript
const credentials = btoa("YOUR_ACCESS_KEY:YOUR_SECRET_KEY");
const response = await fetch(
"https://api.repliz.com/public/storage/file?page=1&limit=20&search=hello",
{
headers: {
Authorization: `Basic ${credentials}`,
},
},
);
const data = await response.json();
console.log(data);Response
json
{
"docs": [
{
"_id": "6a4c3b580afd72bb342c3885",
"filename": "filename.mp4",
"mimetype": "video/mp4",
"size": 1055736,
"key": "uploads/6879b98097fc8c8a78d1d4c1/d69f8f58-48e6-4b58-bfbb-97dc6e5e16b4.mp4",
"url": "https://storage.repliz.com/uploads/6879b98097fc8c8a78d1d4c1/d69f8f58-48e6-4b58-bfbb-97dc6e5e16b4.mp4",
"status": "success",
"userId": "6879b98097fc8c8a78d1d4c1",
"createdAt": "2026-07-06T23:33:44.019Z",
"updatedAt": "2026-07-06T23:38:37.176Z",
"__v": 0,
"id": "6a4c3b580afd72bb342c3885"
},
{
"_id": "6a4c3a3bc4586b1f1ce483e4",
"filename": "filename.mp4",
"mimetype": "video/mp4",
"size": 102400,
"key": "uploads/6879b98097fc8c8a78d1d4c1/0dcb2544-bbc8-4b42-a2e3-0449133ef58f.mp4",
"url": "https://storage.repliz.com/uploads/6879b98097fc8c8a78d1d4c1/0dcb2544-bbc8-4b42-a2e3-0449133ef58f.mp4",
"status": "pending",
"userId": "6879b98097fc8c8a78d1d4c1",
"createdAt": "2026-07-06T23:28:59.836Z",
"updatedAt": "2026-07-06T23:28:59.836Z",
"__v": 0,
"id": "6a4c3a3bc4586b1f1ce483e4"
}
],
"totalDocs": 2,
"limit": 20,
"totalPages": 1,
"page": 1,
"pagingCounter": 1,
"hasPrevPage": false,
"hasNextPage": false,
"prevPage": null,
"nextPage": null
}json
{
"code": 401,
"message": "unauthorized"
}